//+------------------------------------------------------------------+
//|                                               #MTF CCI Arrow.mq4 |
//|                                            luktom.biz sp. z o.o. |
//|                                                   www.luktom.biz |
//+------------------------------------------------------------------+
#property copyright "luktom.biz sp. z o.o."
#property link      "www.luktom.biz"

#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Aqua
#property indicator_width1 1
#property indicator_color2 Red
#property indicator_width2 1

extern int    Pair1=4;
extern int    Pair2=2;
extern int countbars=200;


double BufBuy[];
double BufSell[];
double count[];
int        wd;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexBuffer(0,BufBuy);       
   SetIndexLabel(0,"Buy");             
   SetIndexStyle(0,DRAW_ARROW,STYLE_SOLID); 
   SetIndexArrow(0,233); 
   
   SetIndexBuffer(1,BufSell);      
   SetIndexLabel(1,"Sell");            
   SetIndexStyle(1,DRAW_ARROW,STYLE_SOLID); 
   SetIndexArrow(1,234); 
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   for(int i=0; i<ObjectsTotal(); i++)
   {
    string name = ObjectName(i);
    if(ObjectType(name) == OBJ_ARROW)
     {
      if( StringSubstr(name,0,13) == "#MTD_CCIArrow" )
      {
       ObjectDelete(name);
       i--;
      }
     }
   }

Comment("");

//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
//----
     int    i,limit,counted_bars=IndicatorCounted();
     limit= Bars-counted_bars ;
//     i=countbars;

//     for(i=0;i<limit;i++)
//   for (i=limit;i>=0;i--)
   for( i=limit-1; i>=0;i--)
     {
      //Print(mtf);
      BufBuy[i]  = EMPTY_VALUE;
      BufSell[i] = EMPTY_VALUE;

      double aud = iCustom(NULL,0,"#ConsoleFU-TOT-testGV",Pair1,i);
      double usd = iCustom(NULL,0,"#ConsoleFU-TOT-testGV",Pair2,i);
     
      if (i==Bars-1) { count[i]=0; continue; }
      count[i] = count[i+1];
      
      if(aud > usd )
      {if (count[i] <=0) count[i] =  1; else count[i] +=1;}
      
      if(aud < usd)
      {if (count[i] >=0) count[i] = -1; else count[i] -=1;}
      
      if (count[i] == 2 && count[i+1] != 2) 
      BufBuy[i] = Close[i];
      
      if (count[i] == -2 && count[i+1] != -2)
      BufSell[i] = Open[i];
 
     }
//----

Comment( count[i] + "    " + count[i+1] + "    " + count[i+2] + "\n" +
         aud + "     "  + usd
         );

//----
   return(0);
  }
//+------------------------------------------------------------------+

void drawArrow(string iName,int signal,int margin,int shift = 0,int code=0,color clr=Red,color clr2=Lime) {
 
 string name=iName+TimeToStr(Time[shift],TIME_DATE|TIME_MINUTES|TIME_SECONDS);
 
 double p=0;

 if(signal>0) {
  //p=Low[0]-margin*Point;
  p=Low[iLowest(NULL,0,MODE_LOW,5,shift)]-margin*Point;
 }

 if(signal<0) {
  //p=High[0]+margin*Point;
  p=High[iHighest(NULL,0,MODE_LOW,5,shift)]+margin*Point;
 }
 
 if(signal!=0) {
 
  if(ObjectFind(name)==-1) {
   ObjectCreate(name,OBJ_ARROW,0,Time[shift],p);
  }
  
  ObjectSet(name,OBJPROP_PRICE1,p);
  
 
  if(signal>0) {
  ObjectSet(name,OBJPROP_COLOR,clr2);
   if(code==0) {
    ObjectSet(name,OBJPROP_ARROWCODE,241);
   } else {
    ObjectSet(name,OBJPROP_ARROWCODE,code);
   }
  }
  
  if(signal<0) {
  ObjectSet(name,OBJPROP_COLOR,clr);
   if(code==0) {
    ObjectSet(name,OBJPROP_ARROWCODE,242);
   } else {
    ObjectSet(name,OBJPROP_ARROWCODE,code);
   }
  }
  
 } 
 

}
//+------------------------------------------------------------------+